Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui
Class SeminarTypeWindow.InputChangedListener

    java.lang.Object
      semorg.gui.SeminarTypeWindow.InputChangedListener

All Implemented Interfaces:
  EventListener, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener, CalendarControl.SWTCalendarListener, ItemListener

Enclosing class:
  SeminarTypeWindow

     class SeminarTypeWindow.InputChangedListener

extends Object
implements org.eclipse.swt.events.ModifyListener, org.eclipse.swt.events.SelectionListener, CalendarControl.SWTCalendarListener, ItemListener

Inner class which provides a listener reacting on changes of the input in the `SeminarTypeWindow` window.

Constructor Summary
`SeminarTypeWindow.InputChangedListener()`

Method Summary
`void` | `dateChanged(CalendarControl.SWTCalendarEvent event)` Invokes `inputChanged()` if a date has been changed.
`private void` | `inputChanged()` Appends to the title of the window an asterisk (*) if the input has changed.
`void` | `itemChanged()` Invokes `inputChanged()` if a item in the AssociationTabControl has changed.
`void` | `modifyText(org.eclipse.swt.events.ModifyEvent e)` Invokes `inputChanged()` if a text has been changed.
`void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)` Invokes `inputChanged()` if a doubleclick has occurred.
`void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent e)` Invokes `inputChanged()` if a widget has been selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeminarTypeWindow.InputChangedListener

    SeminarTypeWindow.InputChangedListener()

Method Detail

### inputChanged

    private void inputChanged()

  Appends to the title of the window an asterisk (*) if the input has changed. Furthermore it sets the flag `inputChanged()` to `true`.

### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent e)

  Invokes `inputChanged()` if a text has been changed.

  Specified by:
    `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

  Invokes `inputChanged()` if a widget has been selected.

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Invokes `inputChanged()` if a doubleclick has occurred.

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### dateChanged

    public void dateChanged(CalendarControl.SWTCalendarEvent event)

  Invokes `inputChanged()` if a date has been changed.

  Specified by:
    `dateChanged` in interface `CalendarControl.SWTCalendarListener`
  Parameters:
    `event` - the event

### itemChanged

    public void itemChanged()

  Invokes `inputChanged()` if a item in the AssociationTabControl has changed.

  Specified by:
    `itemChanged` in interface `ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD